/*
 * slb/iconv.h - Utility functions for the application,
 * when using the shared library.
 *
 * Copyright (C) 2018 Thorsten Otto
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __SLB_ICONV_H__
#define __SLB_ICONV_H__ 1

#ifndef ICONV_SLB
#define ICONV_SLB 1
#endif

#include <iconv.h>
#include <mint/slb.h>

#ifndef _CDECL
#define _CDECL
#endif

#ifdef __cplusplus
extern "C" {
#endif

long slb_iconv_open(const char *slbpath);
void slb_iconv_close(void);
SLB *slb_iconv_get(void);

iconv_int_t _CDECL libiconv_get_version(void);
#define _libiconv_version libiconv_get_version()

#ifdef __cplusplus
}
#endif

#endif /* __SLB_ICONV_H__ */
